import QtQuick 2.7
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.12
import AppStyle 1.0
import AppControls 1.0

Item {
    id: configItem

    NumberedTextEdit {
        id: configText
        textColor: AppStyle.textColor
        textBackground: "transparent"
        font.pixelSize: 20
        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            bottom: footer.top
            bottomMargin: 20
        }
    }

    Component.onCompleted: {
        configText.text = coreModel.сonfigToEdit
    }

    Footer {
        id: footer
        nextBtnVisible: true
        nextBtnText: qsTr("Save")
        anchors {
            bottom: parent.bottom
            right: parent.right
            left: parent.left
        }
        onBackClicked: {
            rootItem.back()
        }
        onNextClicked: {
            coreModel.validateAndSaveConfig(configText.text)
        }
    }
}
